Skip to main content
GET
/
v1
/
tasks
/
{task_id}
Get Task By Id
curl --request GET \
  --url https://api.simplicity.ai/v1/tasks/{task_id} \
  --header 'X-API-Key: <api-key>'
{
  "task_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "task_type": "document-upload",
  "status": "processing",
  "progress": 0,
  "result_data": {},
  "error_message": "<string>",
  "estimated_completion": "2023-11-07T05:31:56Z",
  "document_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

task_id
string
required

Response

Successful Response

task_id
string
required

Task ID who owns the task

created_at
string<date-time>
required
task_type
enum<string>
default:document-upload
Available options:
document-upload,
autofill,
digital_form_creation
status
enum<string>
default:processing
Available options:
pending,
processing,
completed,
failed
progress
integer
default:0
Required range: 0 <= x <= 100
result_data
Result Data · object

JSON result of the task

error_message
string | null
estimated_completion
string<date-time> | null
document_id
string | null

Document ID who owns the task

updated_at
string<date-time> | null